@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="informationTitle"
          class="anchor"
        >
          <ng-template #informationTitle>
            <div class="full-width flex-row">
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.generic.label.information.plural' | translate }}
              </div>
              <span class="flex-fixed-size m-l-auto">
                <sqtm-core-toggle-icon
                  [active]="componentData.permissions.canWrite"
                  [stopPropagation]="true"
                  (clickedInActiveMode)="
                    modifyReport(
                      $event,
                      componentData.reportDefinition.customReportLibraryNodeId
                    )
                  "
                >
                  <i
                    nz-icon
                    nzType="sqtm-core-generic:edit"
                    nzTheme="outline"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.modify' | translate | capitalize
                    "
                    class="action-icon-size"
                    [attr.data-test-toolbar-button-id]="'modify'"
                  >
                  </i>
                </sqtm-core-toggle-icon>
              </span>
              <span class="flex-fixed-size m-l-10 m-r-10">
                @if (!componentData.reportDefinition.missingPlugin) {
                  <sqtm-core-toggle-icon
                    [active]="componentData.permissions.canExport"
                    [stopPropagation]="true"
                    [asyncRunning]="showSpinner$ | async"
                    (clickedInActiveMode)="downloadReport($event)"
                  >
                    <i
                      nz-icon
                      nzType="sqtm-core-generic:download"
                      nzTheme="outline"
                      nzTooltipPlacement="topRight"
                      nz-tooltip
                      [nzTooltipTitle]="
                        'sqtm-core.generic.label.download'
                          | translate
                          | capitalize
                      "
                      class="action-icon-size"
                      [attr.data-test-toolbar-button-id]="'download'"
                    >
                    </i>
                  </sqtm-core-toggle-icon>
                }
              </span>
            </div>
          </ng-template>
          <div class="creation-modification-grid-container">
            <div class="creation-modification-grid-half-left">
              <sqtm-core-label
                [text]="'sqtm-core.entity.generic.creation.label' | translate"
              >
              </sqtm-core-label>
              <div [attr.data-test-field-id]="'report-definition-created'">
                <span
                  class="text-ellipsis"
                  nz-tooltip
                  [sqtmCoreLabelTooltip]="
                    getAuditableText(
                      componentData.reportDefinition.createdOn,
                      componentData.reportDefinition.createdBy
                    )
                  "
                >
                  {{
                    getAuditableText(
                      componentData.reportDefinition.createdOn,
                      componentData.reportDefinition.createdBy
                    )
                  }}</span
                >
              </div>
            </div>
            <div class="creation-modification-grid-half-right">
              <sqtm-core-label
                [text]="
                  'sqtm-core.entity.generic.modification.label' | translate
                "
              >
              </sqtm-core-label>
              <div [attr.data-test-field-id]="'report-definition-lastModified'">
                <span
                  class="text-ellipsis"
                  nz-tooltip
                  [sqtmCoreLabelTooltip]="
                    getAuditableText(
                      componentData.reportDefinition.lastModifiedOn,
                      componentData.reportDefinition.lastModifiedBy
                    )
                  "
                >
                  {{
                    getAuditableText(
                      componentData.reportDefinition.lastModifiedOn,
                      componentData.reportDefinition.lastModifiedBy
                    )
                  }}</span
                >
              </div>
            </div>
          </div>
          <div class="report-definition-information-grid">
            <sqtm-core-label
              [text]="'sqtm-core.generic.label.type' | translate | capitalize"
            >
            </sqtm-core-label>
            @if (componentData.reportDefinition.missingPlugin) {
              <div class="sqtm-core-error-message">
                {{
                  'sqtm-core.custom-report-workspace.report-definition-view.missing-plugin'
                    | translate
                      : {
                          plugin: componentData.reportDefinition.pluginNamespace
                        }
                }}
              </div>
            } @else {
              {{ componentData.reportDefinition.reportLabel }}
            }
            <ng-template #reportLabel>{{
              componentData.reportDefinition.reportLabel
            }}</ng-template>
            @if (
              componentData.reportDefinition.summary &&
              componentData.reportDefinition.summary.length > 0
            ) {
              <sqtm-core-label
                [text]="
                  'sqtm-core.entity.report-definition.summary' | translate
                "
              >
              </sqtm-core-label>
              <div
                [attr.data-test-element-id]="'report-summary'"
                class="txt-ellipsis"
              >
                {{ componentData.reportDefinition.summary }}
              </div>
            }
            @if (
              componentData.reportDefinition.description &&
              componentData.reportDefinition.description.length > 0
            ) {
              <sqtm-core-label
                [text]="
                  'sqtm-core.entity.generic.description.label' | translate
                "
              >
              </sqtm-core-label>
              <div
                [innerHtml]="
                  componentData.reportDefinition.description | safeRichContent
                "
                [attr.data-test-element-id]="'report-description'"
              ></div>
            }
            <sqtm-core-label
              [text]="
                'sqtm-core.custom-report-workspace.report-definition-view.attributes'
                  | translate
              "
            >
            </sqtm-core-label>
            @if (formattedAttributes$ | async; as formattedAttributes) {
              <div class="full-width">
                <div
                  class="report-definition-information-grid-attributes"
                  [attr.data-test-element-id]="'report-attributes'"
                >
                  @for (attribute of formattedAttributes; track attribute) {
                    @if (attribute.value !== '-') {
                      <sqtm-core-label
                        [attr.data-test-attribute-name]="attribute.name"
                        [text]="attribute.name | capitalize"
                      ></sqtm-core-label>
                      <div
                        [attr.data-test-attribute-value]="attribute.name"
                        class="txt-ellipsis"
                      >
                        @for (value of attribute.value; track value) {
                          <div
                            nz-tooltip
                            [sqtmCoreLabelTooltip]="value"
                            class="txt-ellipsis"
                          >
                            {{ value }}
                          </div>
                        }
                      </div>
                    }
                  }
                </div>
              </div>
            }
          </div>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
